import styles from "./pig.module.scss";
import { ChillPig } from "./pigs/simple/ChillPig";
import { DancePig } from "./pigs/simple/DancePig";
import { DrinkPig } from "./pigs/simple/DrinkPig";
import { GuardPig } from "./pigs/simple/GuardPig";
import { KeyPig } from "./pigs/simple/KeyPig";
import { ListenPig } from "./pigs/simple/ListenPig";
import { LogoPig } from "./pigs/simple/LogoPig";
import { MusicPig } from "./pigs/simple/MusicPig";
import { PeekPig } from "./pigs/simple/PeekPig";
import { PointPig } from "./pigs/simple/PointPig";
import { StudentPig } from "./pigs/simple/StudentPig";

export const Pig = ({
  type,
}: {
  type:
    | "logo"
    | "music"
    | "drink"
    | "dance"
    | "point"
    | "student"
    | "listen"
    | "guard"
    | "key"
    | "chill"
    | "peek";
}) => {
  return (
    <div className={styles.pig}>
      {type === "logo" && <LogoPig />}
      {type === "music" && <MusicPig />}
      {type === "drink" && <DrinkPig />}
      {type === "dance" && <DancePig />}
      {type === "point" && <PointPig />}
      {type === "student" && <StudentPig />}
      {type === "listen" && <ListenPig />}
      {type === "guard" && <GuardPig />}
      {type === "key" && <KeyPig />}
      {type === "chill" && <ChillPig />}
      {type === "peek" && <PeekPig />}
    </div>
  );
};
